Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	A Perl module for creation and manipulation of tar files
Name:		perl-Archive-Tar
Version:	1.26
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/~kane/Archive-Tar-1.26
Group:		Development/Perl
Source0:	Archive-Tar-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		perlepoch	3
%define		perlversion	5.8.8

Requires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl-IO-Zlib
BuildRequires:	perl-IO-String
BuildRequires:	perl-Test-Harness
BuildRequires:	perl-Text-Diff

%description
A Perl module for creation and manipulation of tar files
For more details see: http://search.cpan.org/~kane/Archive-Tar-1.26

%post
ldconfig

%postun
ldconfig

%prep
%setup -n Archive-Tar-%{version}

%build
perl Makefile.PL /usr
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# removing unused stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod" ]; then
	rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod
fi
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 14 2006 Christian Wasem <wasem@ccux-linux.de> 1.26-3
- Rebuild against perl-5.8.8
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.26-2
- Rebuild against perl-5.8.7
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.26-1
- Initial Release
